List Tool build metadata
curl --request GET \
--url https://api.firedrill.run/v1/service-builds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/service-builds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/service-builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firedrill.run/v1/service-builds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.firedrill.run/v1/service-builds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.firedrill.run/v1/service-builds")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firedrill.run/v1/service-builds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"projectId": "<string>",
"id": "<string>",
"createdAt": "<string>",
"status": "<string>",
"sourceDigest": "<string>",
"manifestDigest": "<string>",
"artifactDigest": "<string>",
"datasetConstraintCount": 123,
"metadataOnly": false,
"service": {
"id": "<string>",
"version": "<string>",
"operationCount": 123,
"viewDeclared": true
},
"datasetPolicyDigest": "<string>",
"failure": {
"schemaVersion": "2026-10-17-service-build-diagnostics.1",
"code": "FD_SERVICE_BUILD_FAILED",
"diagnostics": [
{
"code": "SOURCE_SYNTAX",
"message": "<string>",
"repair": "<string>",
"file": "<string>",
"line": 123,
"column": 123
}
],
"truncated": true
}
}
],
"nextCursor": 1
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}List Tool build metadata
Requires read capability and current authority for the selected resource.
List Tool build metadata
curl --request GET \
--url https://api.firedrill.run/v1/service-builds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/service-builds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/service-builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firedrill.run/v1/service-builds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.firedrill.run/v1/service-builds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.firedrill.run/v1/service-builds")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firedrill.run/v1/service-builds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"projectId": "<string>",
"id": "<string>",
"createdAt": "<string>",
"status": "<string>",
"sourceDigest": "<string>",
"manifestDigest": "<string>",
"artifactDigest": "<string>",
"datasetConstraintCount": 123,
"metadataOnly": false,
"service": {
"id": "<string>",
"version": "<string>",
"operationCount": 123,
"viewDeclared": true
},
"datasetPolicyDigest": "<string>",
"failure": {
"schemaVersion": "2026-10-17-service-build-diagnostics.1",
"code": "FD_SERVICE_BUILD_FAILED",
"diagnostics": [
{
"code": "SOURCE_SYNTAX",
"message": "<string>",
"repair": "<string>",
"file": "<string>",
"line": 123,
"column": 123
}
],
"truncated": true
}
}
],
"nextCursor": 1
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}Authorizations
Opaque Firedrill interactive or scoped machine credential. The CLI handles human-approved login; CI stores its scoped credential as FIREDRILL_TOKEN. Capabilities and project/environment ownership are rechecked at use.
Query Parameters
Required string length:
1 - 160Authorization context for project-owned definitions. Required for an environment-restricted credential; keep your selected environment explicit.
Required string length:
1 - 160Required range:
x >= 0Required range:
1 <= x <= 100